## ros-dashing-tts-interfaces 2.0.2

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)

project(tts_interfaces)

# Default to C++14
if(NOT CMAKE_CXX_STANDARD)
  set(CMAKE_CXX_STANDARD 14)
endif()
if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
  add_compile_options(-Wall -Wextra -Wpedantic)
endif()

find_package(action_msgs REQUIRED)
find_package(ament_cmake REQUIRED)
find_package(rosidl_default_generators REQUIRED)

rosidl_generate_interfaces(${PROJECT_NAME}
  "srv/Polly.srv"
  "srv/Synthesizer.srv"
  DEPENDENCIES action_msgs
)

install(FILES mapping_rules.yaml DESTINATION share/${PROJECT_NAME})

ament_export_dependencies(rosidl_default_runtime)
ament_package()

=== debian/changelog ===
ros-dashing-tts-interfaces (2.0.2-1bionic) bionic; urgency=high

  * bump package version for tts and tts_interfaces to 2.0.2 (#15 <https://github.com/aws-robotics/tts-ros2/issues/15>)
  * Contributors: Ryan Newell

 -- AWS RoboMaker <ros-contributions@amazon.com>  Wed, 22 Jan 2020 00:00:00 -0000

ros-dashing-tts-interfaces (2.0.1-1bionic) bionic; urgency=high

  * Fix voicer and bump version to 2.0.1 (#9 <https://github.com/aws-robotics/tts-ros2/issues/9>)
    * Fix voicer and bump version to 2.0.1
    * Bump version of tts_interfaces to 2.0.1
  * Contributors: AAlon

 -- AWS RoboMaker <ros-contributions@amazon.com>  Fri, 20 Sep 2019 00:00:00 -0000

ros-dashing-tts-interfaces (2.0.0-1bionic) bionic; urgency=high

  * Bump version to 2.0.0 and add changelog
  * Merge pull request #1 <https://github.com/aws-robotics/tts-ros2/issues/1> from aws-robotics/dev
    initial commit for tts-ros2
  * initial commit for tts-ros2
  * Contributors: Avishay Alon, Yuan "Forrest" Yu, y²

 -- AWS RoboMaker <ros-contributions@amazon.com>  Fri, 06 Sep 2019 00:00:00 -0000

=== debian/control ===
Source: ros-dashing-tts-interfaces
Section: misc
Priority: optional
Maintainer: AWS RoboMaker <ros-contributions@amazon.com>
Build-Depends: debhelper (>= 9.0.0), ros-dashing-action-msgs, ros-dashing-ament-cmake, ros-dashing-rosidl-default-generators, ros-dashing-ros-workspace, ros-dashing-rmw-connext-cpp, ros-dashing-rmw-fastrtps-cpp, ros-dashing-rmw-implementation, ros-dashing-rmw-opensplice-cpp, ros-dashing-rosidl-typesupport-connext-c, ros-dashing-rosidl-typesupport-connext-cpp, ros-dashing-rosidl-typesupport-opensplice-c, ros-dashing-rosidl-typesupport-opensplice-cpp
Homepage: 
Standards-Version: 3.9.2

Package: ros-dashing-tts-interfaces
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-dashing-action-msgs, ros-dashing-rosidl-default-runtime, ros-dashing-ros-workspace
Description: Contains message and service definitions used by tts.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/dashing/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/dashing/setup.sh" ]; then . "/opt/ros/dashing/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/dashing" \
		-DAMENT_PREFIX_PATH="/opt/ros/dashing"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/dashing/setup.sh" ]; then . "/opt/ros/dashing/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/dashing/setup.sh" ]; then . "/opt/ros/dashing/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/dashing/setup.sh" ]; then . "/opt/ros/dashing/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-dashing-tts-interfaces//opt/ros/dashing/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/dashing/setup.sh" ]; then . "/opt/ros/dashing/setup.sh"; fi && \
	dh_auto_install
